Bug 1285224 - Time offset error: Host times seems to be adrift
Time offset error: Host times seems to be adrift
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHCI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: TP3
: 1.0
Assigned To: Fabian von Feilitzsch
Dave Johnson
Dan Macpherson
: Triaged
Depends On:
Blocks: rhci-sprint-14
  Show dependency treegraph
 
Reported: 2015-11-25 04:11 EST by Antonin Pagac
Modified: 2016-08-12 16:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonin Pagac 2015-11-25 04:11:51 EST
Description of problem:
After doing a deployment of RHCI and RHEVM, there is a message in every host report:

Host times seems to be adrift!
Host reported time is 2015-11-25 08:40:20 UTC
Satellite 6 report creation time is 2015-11-25 08:39:32 UTC
Which is an offset of less than a minute

The offset varies from host to host, the difference is couple of seconds, but it is occurring in every host I now have in Satellite.
The /etc/ntp.conf seems to be the same for Satellite machine and for host machines.

Version-Release number of selected component (if applicable):
RHCI-6.0-RHEL-7-20151118.t.0-RHCI-x86_64-dvd1.iso

How reproducible:
?

Steps to Reproduce:
1. Do a complete deployment of RHEVM
2. In Satellite, go to Hosts -> All hosts -> <choose one> -> Reports -> <choose one>
3. The message appears on top of the report

Actual results:
Host times seems to be adrift

Expected results:
Hosts times should have been synced and should be the same as the time on Satellite

Additional info:
Comment 2 Fabian von Feilitzsch 2016-03-09 09:04:37 EST
I'm not seeing this anymore, I think the recent NTP changes fixed it.
Comment 3 John Matthews 2016-03-09 20:15:45 EST
Moving to ON_QA as we think this was fixed with prior work.
Comment 4 Antonin Pagac 2016-03-15 06:09:35 EDT
I was able to reproduce this using original reproducer steps for TP2 RC9 ISO. RHEV host seems to be fine, but on engine machine error is reported:

"Host times seems to be adrift!
Host reported time is 2016-03-15 09:36:31 UTC
Satellite 6 report creation time is 2016-03-15 09:35:53 UTC
Which is an offset of half a minute"

I'm going to try to reproduce using newer compose.
Comment 5 Antonin Pagac 2016-03-16 07:11:35 EDT
Reproduced using QCI-1.0-RHEL-7-20160315.t.0-QCI-x86_64-dvd1.iso.

Both the engine and the hypervisor report an offset.
Comment 6 Antonin Pagac 2016-03-21 07:14:00 EDT
Failed to reproduce using TP3 RC1 ISO.

The issue seems intermittent, I will try to reproduce using the same iso.
Comment 7 John Matthews 2016-04-04 10:39:09 EDT
Antonin,

We believe this issue is fixed in the TP3 ISOs.

If you do find a problem please give us more information, we have not been able to reproduce this.
Comment 8 Antonin Pagac 2016-04-06 04:09:30 EDT
I was unable to reproduce this also for TP3 RC2.

Marking as verified.

Note You need to log in before you can comment on or make changes to this bug.